Subject: bug#44465: 28.0.50; tcl-mode mismatched parenthesis for nested [strings]

From: Stefan Monnier <[email-masked]>
Date: Sat, 14 Aug 2021 19:51:20 -0400

> @Stefan i've added you to cc: in case you can help a bit and provide
> some tips.
> In the fix for #39277 you've added tcl--syntax-of-quote and also this comment:
>
> (defconst tcl-syntax-propertize-function
>   ;; FIXME: Handle the [...] commands nested inside "..." strings.
>
> so my question, is the problem described in this bug report supposed
> to be fixed as a regexp in the tcl-syntax-propertize-function rules
> list or should i try to extend tcl--syntax-of-quote to cover this case
> too?

Good question.
My gut tells me not to try and make the regexp more complex.

        Stefan